﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.collaboration;
namespace MSIS
{
    public partial class GetPersonalMessageForm : Form
    {
        int uid;
        string[] msgs = null;
        public GetPersonalMessageForm()
        {
            InitializeComponent();
        }
        public GetPersonalMessageForm(int id)
        {
            InitializeComponent();
            uid = id;
        }
        private void comboBoxGroup_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void menuItemReturnPersonalMsg_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void panel1_GotFocus(object sender, EventArgs e)
        {

        }

        private void GetPersonalMessageForm_Load(object sender, EventArgs e)
        {
            try
            {
                CollaborationService usgp = new CollaborationService();
                ListViewItem item = new ListViewItem();
                msgs = usgp.GetPersonalMessage(uid);
                int c = 1;
                for (int i = 0; i < msgs.Length; i = i + 3)
                {

                    item = new ListViewItem(c + ":" + msgs[i]);
                    item.SubItems.Add(msgs[i + 1]);

                    item.SubItems.Add(msgs[i + 2]);
                    listViewPersonalMessages.Items.Add(item);
                    c++;

                }
            }

            catch (Exception)
            {
                MessageBox.Show("You do not have any personal message(s)", "Message");
            }

        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            try
            {
                int index = -1;

                for (int i = 0; i < listViewPersonalMessages.Items.Count; i++)
                    if (listViewPersonalMessages.Items[i].Selected == true)
                    {
                        index = i * 3;

                    }
                MessageBox.Show(msgs[index] + " Date:" + msgs[index + 1] + "  Sender:" + msgs[index + 2], "Message");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}