﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.collaboration;
using MSIS.webservices.user;

namespace MSIS
{
    public partial class SendMessageForm : Form
    {
        Groups[] snd = null;
        UserProfile user = null;
        public SendMessageForm()
        {
            InitializeComponent();
        }
        public SendMessageForm(UserProfile upro)
        {
            InitializeComponent();
            user = upro;
        }
        private void menuItemReturnMsg_Click(object sender, EventArgs e)
        {
            Close();

        }

        private void panel1_GotFocus(object sender, EventArgs e)
        {

        }

        private void menuItemSendMessage_Click(object sender, EventArgs e)
        {
            
            
        }

        private void SendMessageForm_Load(object sender, EventArgs e)
        {
            try
            {

                //Populating the Combo box
                snd = new Groups[20];
                CollaborationService d = new CollaborationService();
                snd = d.GetUserGroups(user.Id);

                for (int i = 0; i < snd[0].Total; i++)
                {
                    comboBoxSend.Items.Add(snd[i].Name);


                }
            }
            catch (Exception)
            {
                MessageBox.Show("You have not join any group yet", "Message");
            }

        }

        private void buttonSendGroupMessage_Click(object sender, EventArgs e)
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;

                CollaborationService sendmsg = new CollaborationService();
                sendmsg.Url = AppSettings.WebServiceUrl + "/" + AppSettings.CollaborationWebserviceName;

                if (textBoxMessage.Text.Length > 0 & comboBoxSend.Text.Length > 0)
                {


                    GroupMessage msg = new GroupMessage();
                    msg.Message = textBoxMessage.Text.Trim();
                    int ind = comboBoxSend.SelectedIndex;

                    int gid = snd[ind].Id;


                    if (sendmsg.SendGroupMessage(msg, gid, user.Name))
                    {
                        MessageBox.Show("The Message has been sent successfully");
                        textBoxMessage.Text = "";
                    }

                    else
                    {
                        MessageBox.Show("Could not send the group message");
                    }
                    Cursor.Current = Cursors.Default;

                }

                else
                {
                    MessageBox.Show("Type a message and choose a group you intend sending the message to before clicking on Send Message", "Message");

                    Cursor.Current = Cursors.Default;

                }
            }


            catch (Exception)
            {
                MessageBox.Show("Choose a group to send the message to", "Message");
            }
            Cursor.Current = Cursors.Default;
        }

               
        private void menuItemSendPersonal_Click(object sender, EventArgs e)
        {
            new PersonalMsgForm(user).ShowDialog();
        }
        
    }
}