﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.collaboration;
using MSIS.webservices.user;

namespace MSIS
{
    public partial class CreateGroupForm : Form
    {
        public CreateGroupForm()
        {
            InitializeComponent();
        }

        private void buttonSave_Click(object sender, EventArgs e)
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;

                CollaborationService adgrp = new CollaborationService();
                adgrp.Url = AppSettings.WebServiceUrl + "/" + AppSettings.CollaborationWebserviceName;



                string gpname = textBoxGroupName.Text.Trim();
                string gpdesc = textBoxGroupDescription.Text.Trim();

                if (adgrp.AddGroup(gpname,gpdesc)) 
                
                {
                    MessageBox.Show("You have successfully created a group with name: " + gpname);
                    
                }

                else
                {
                    MessageBox.Show("Unable to create a group");
                }
                Cursor.Current = Cursors.Default;
            }


            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                Cursor.Current = Cursors.Default;
            }
        }

        private void buttonReset_Click(object sender, EventArgs e)
        {
            textBoxGroupName.Text = "";
            textBoxGroupDescription.Text = "";
        }

        private void menuItemCreate_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}