﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.location;

namespace MSIS
{
    public partial class GetUsersForm : Form
    {
        public GetUsersForm()
        {
            InitializeComponent();
        }

        private void menuItemReturnLocation_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void buttonsearchLoation_Click(object sender, EventArgs e)
        {
            string searchLocName = textBoxLocationName.Text;

            Cursor.Current = Cursors.WaitCursor;
            LocationService LocName = new LocationService();
            Location[] sLoc = LocName.GetUsers(textBoxLocationName.Text.Trim());

            sLoc = null;

            try
            {
                sLoc = LocName.GetUsers(searchLocName);

            }

            catch (Exception)
            {
                Main.ShowConnectionError();
                Cursor.Current = Cursors.Default;
                return;
            }

            

            listViewDisplayResults.Items.Clear();
            if(sLoc!=null)
            
            {
                int c = 1;
                for (int i = 0; i < sLoc.Length; i++)
                {
                   

                    ListViewItem LocItem = new ListViewItem(c + ":" + sLoc[i].Name);
                    listViewDisplayResults.Items.Add(LocItem);
                    c++;
                }
            }
            Cursor.Current = Cursors.Default;

        }

        private void linkLabelresetLocation_Click(object sender, EventArgs e)
        {
            listViewDisplayResults.Items.Clear();
            textBoxLocationName.Text = "";
        }
    }
}