﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.collaboration;
using MSIS.webservices.user;


namespace MSIS
{
    public partial class PersonalMsgForm : Form
    {
        UserProfile user = null;
        public PersonalMsgForm()
        {
            InitializeComponent();
        }
        public PersonalMsgForm(UserProfile upro)
        {
            InitializeComponent();
            user = upro;
        }
        private void panel1_GotFocus(object sender, EventArgs e)
        {

        }

        private void menuItemReturnPersonal_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void menuItemPersonalMessage_Click(object sender, EventArgs e)
        {
            try
            {
                Cursor.Current = Cursors.WaitCursor;

                CollaborationService spmsg = new CollaborationService();
                spmsg.Url = AppSettings.WebServiceUrl + "/" + AppSettings.CollaborationWebserviceName;

                if (textBoxPersonalMessage.Text.Length > 0 & textBoxReceipient.Text.Length > 0)
                {

                    string umsg = textBoxPersonalMessage.Text.Trim();

                    string uname = textBoxReceipient.Text.Trim();



                    if (spmsg.SendPersonalMessage(umsg, uname, user.Name))
                    {
                        MessageBox.Show("The Message has been sent successfully");
                        textBoxReceipient.Text = "";
                        textBoxPersonalMessage.Text = "";
                    }

                    else
                    {
                        MessageBox.Show("The message could not be sent");
                    }
                    Cursor.Current = Cursors.Default;


                }


                else
                {
                    MessageBox.Show("Enter a recipient's name and check whether you have type a message before clicking on Send Message", "Message");
                    Cursor.Current = Cursors.Default;
                }
            }


            catch (Exception)
            {
                MessageBox.Show("The Message could not be sent, Check the Users name and try sending it again", "Message");
            }
            Cursor.Current = Cursors.Default;
        }

        
    }
}