﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using MSIS.webservices.learning;


namespace MSIS
{
    public partial class ResourceForm : Form
    {
        LearningWebService lrw=null;
        Resource[] res = null;
        int uid = 0;
        public ResourceForm() { }
        public ResourceForm(int id)
        {
            InitializeComponent();
            uid = id;
          

            Cursor.Current = Cursors.Default;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            
                lrw = new LearningWebService();
                res = lrw.GetAvailableResources(uid.ToString());
  
                new ShowResourceForm(res).ShowDialog();
                
           

            
        }

        private void ResourceForm_Load(object sender, EventArgs e)
        {

        }

        private void btnAddResources_Click(object sender, EventArgs e)
        {
           new AddResourceForm().ShowDialog();
            
        }

        private void btnUpdateResources_Click(object sender, EventArgs e)
        {
            new updateResourceForm().ShowDialog();
        }

        private void menuItemReturnResource_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void pictureBoxavailable_Click(object sender, EventArgs e)
        {
            lrw = new LearningWebService();
            res = lrw.GetAvailableResources(uid.ToString());

            new ShowResourceForm(res).ShowDialog();
        }

        private void pictureBoxupdate_Click(object sender, EventArgs e)
        {
            new updateResourceForm().ShowDialog();
        }

        private void pictureBoxadd_Click(object sender, EventArgs e)
        {
            new AddResourceForm().ShowDialog();
        }
    }
}