﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MSIS
{
    public partial class UserLocation : Form
    {
        public UserLocation()
        {
            
            InitializeComponent();
            
        }

        private void UserLocation_Load(object sender, EventArgs e)
        {
            
        }

        private void btnSearchLocations_Click(object sender, EventArgs e)
        {

        }

        private void txtLocNameSearch_GotFocus(object sender, EventArgs e)
        {

        }

        private void btnSearchLocations_Click_1(object sender, EventArgs e)
        {
            string searchName = txtName.Text;
            if (searchName.Length <= 0) {
                
                MessageBox.Show("No Name Entered", "Error Message",MessageBoxButtons.OK, MessageBoxIcon.Exclamation,MessageBoxDefaultButton.Button1);
                return;
            }

            Cursor.Current = Cursors.WaitCursor;

            webservices.location.LocationService wsLoc = new MSIS.webservices.location.LocationService();
            webservices.location.Location[] loc = wsLoc.GetUserLocation(txtName.Text.Trim());

            loc = null;

            try
            {
                loc = wsLoc.GetUserLocation(searchName);
            }

            catch (Exception)
            {
                Main.ShowConnectionError();
                Cursor.Current = Cursors.Default;
                return;
            }



            listUserSearchResults.Items.Clear();
            if (loc != null)
           
            {
                
                for (int i = 0; i < loc.Length; i++)
                {

                    ListViewItem item = new ListViewItem(loc[i].Name);
                    item.SubItems.Add(loc[i].Description);
                    
                    listUserSearchResults.Items.Add(item);
                   

                }



            }
            
            Cursor.Current = Cursors.Default;



        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void ShowContextMenu(object sender, EventArgs e)
        {

        }

        private void listSearchResults_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void linkLabelReset_Click(object sender, EventArgs e)
        {
            listUserSearchResults.Items.Clear();
            txtName.Text = "";
            
        }

        private void listUserSearchResults_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void labelHeader_ParentChanged(object sender, EventArgs e)
        {

        }

        
    }
}