﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Drawing;

/// <summary>
/// Summary description for Location
/// </summary>
public class Location
{
    int id = 0; 
    
    public struct MapStruct
    {
        public string[] coordinateArray;
        public string[] mapArray;
        public int[] mapScale; // Meters per 50 units for map[i]
        

        public MapStruct(string[] coordinates, string[] maps, int[] scales)
        {
            coordinateArray = coordinates;
            mapArray = maps;
            mapScale = scales;
        }
    }
    public enum LocationTypes { Building = 0, Misc, Lecture_Hall, Restaurant, Computer_Lab, Meeting_Room, Office, Laboratory, Toilet};
    string name = "";
    string description = "";
    string keywords = "";
    int floor;
    LocationTypes locationType;
    MapStruct mapData;
    double distanceFromCurrentPosition = -1;

	public Location()
	{
		//
		// TODO: Add constructor logic here
		//

	}

    public string Name
    {
        get { return name; }
        set { name = value; } 
    }

    public string Description
    {
        get { return description; }
        set { description = value; }
    }

    public string Keywords
    {
        get { return keywords; }
        set { keywords = value; }
    }

    public int Floor
    {
        get { return floor; }
        set { floor = value; }
    }

    public LocationTypes LocationType
    {
        get { return locationType; }
        set { locationType = value; }
    }

    public MapStruct MapData
    {
        get { return mapData; }
        set { mapData = value; }
    }

    public Double DistanceFromCurrent
    {
        get { return distanceFromCurrentPosition; }
        set { distanceFromCurrentPosition = value; }
    }

    public int Id
    {
        get { return id; }
        set{id = value;}
    }


}

