﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.learning;

namespace MSIS
{
    public partial class AddResourceForm : Form
    {
        
        public AddResourceForm()
        {
            InitializeComponent();
        }

        private void menuItemReturnResource_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void buttonSubmitResource_Click(object sender, EventArgs e)
        {
            try

            {
                Cursor.Current = Cursors.WaitCursor;
                LearningWebService addres = new LearningWebService();
                addres.Url = AppSettings.WebServiceUrl + "/" + AppSettings.LearningWebServiceName;

                
                Resource addres1 = new Resource();
                addres1.Name = textNameResource.Text;
                addres1.Type = textTypeResource.Text;
                addres1.Url = textUrlResource.Text;
                addres1.Owner = textOwnerResource.Text;
                addres1.Course = comboBoxCourses.Text;


                if (addres.AddResource(addres1, textUrlResource.Text.Trim())) 
                {

                    MessageBox.Show("You have successfully added a resource");
                    textNameResource.Text = "";
                    textTypeResource.Text = "";
                    textUrlResource.Text = "";
                    textOwnerResource.Text = "";
                    comboBoxCourses.Text = "<None>";
                }

                else
                {
                    MessageBox.Show("Error in adding a resource");
                }
                Cursor.Current = Cursors.Default;
            
            
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                Cursor.Current = Cursors.Default;
            }
        }

        private void panelAddResource_GotFocus(object sender, EventArgs e)
        {

        }

        private void AddResourceForm_Load(object sender, EventArgs e)
        {
           // Populating the Combo box with courses from the User_Courses table
            LearningWebService c = new LearningWebService();
            string[] courses = c.GetUserCourses();
            for (int i = 0; i < courses.Length; i++) {
                comboBoxCourses.Items.Add(courses[i]);
            }
            comboBoxCourses.SelectedIndex = 6;
        }

        private void comboBoxCourses_SelectedIndexChanged(object sender, EventArgs e)
        {
            


        }

        private void labelTitle_ParentChanged(object sender, EventArgs e)
        {

        }
    }
}