﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.collaboration;

namespace MSIS
{
    public partial class GetMessage : Form
    {
        int uid;
        Groups[] groups = null;
        string[] msgs = null;
        ListViewItem item = null;
        public GetMessage()
        {
            InitializeComponent();

        }

        public GetMessage(int id)
        {
            InitializeComponent();
            uid = id;
        }

        private void GetMessage_Load(object sender, EventArgs e)
        {

            try
            {
                //Populate the Group Combo box
                groups = new Groups[10];
                CollaborationService usgp = new CollaborationService();
                groups = usgp.GetUserGroups(uid);

                for (int i = 0; i < groups[0].Total; i++)
                {

                    comboBoxGroup.Items.Add(groups[i].Name);

                }
            }

            catch (Exception)
            {
                MessageBox.Show("You have not join any group yet","Message");
            }

        }

        private void menuItemReturnMessage_Click(object sender, EventArgs e)
        {
            Close();

        }

        private void comboBoxGroup_SelectedIndexChanged(object sender, EventArgs e)
        {
           
            item = new ListViewItem();
            CollaborationService usgp = new CollaborationService();
            msgs= usgp.GetGroupMessage(groups[comboBoxGroup.SelectedIndex].Id);
            int c = 1;
            for (int i = 0; i < msgs.Length; i=i+3)
            {

                item = new ListViewItem(c+":"+msgs[i]);
                item.SubItems.Add(msgs[i+1]);
                item.SubItems.Add(msgs[i + 2]);

                listViewMessages.Items.Add(item);
                c++;
            }
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                int index = -1;

                for (int i = 0; i < listViewMessages.Items.Count; i++)
                    if (listViewMessages.Items[i].Selected == true)
                    {
                        index = i * 3;

                    }
                MessageBox.Show(msgs[index] + " Date: " + msgs[index + 1] + " Sender: " + msgs[index + 2], "Message");
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void menuItemPersonalMsg_Click(object sender, EventArgs e)
        {
            new GetPersonalMessageForm(uid).ShowDialog();
        }

        private void buttonReset_Click(object sender, EventArgs e)
        {
            listViewMessages.Items.Clear();
        }

        
    }
}