﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MSIS.webservices.learning;

namespace MSIS
{
    public partial class updateResourceForm : Form
    {
        public updateResourceForm()
        {
            InitializeComponent();
        }

        private void menuItemreturnupdate_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void buttonsubmitupdateResource_Click(object sender, EventArgs e)
        {
            try {

                Cursor.Current = Cursors.WaitCursor;
                LearningWebService upres1 = new LearningWebService();
                upres1.Url = AppSettings.WebServiceUrl + "/" + AppSettings.LearningWebServiceName;
                
                Resource upres = new Resource();
                upres.Name = textnameupdate.Text;
                upres.Type = texttypeupdate.Text;
                upres.Url = texturlupdate.Text;
                upres.Owner = textownerupdate.Text;
                upres.Course = comboBoxCoursesUpdate.Text;

                if (upres1.UpdateResource(upres, texturlupdate.Text.Trim()))
                {
                    MessageBox.Show("You have successfully updated a resource");
                    textnameupdate.Text = "";
                    texttypeupdate.Text = "";
                    texturlupdate.Text = "";
                    textownerupdate.Text = "";
                    comboBoxCoursesUpdate.Text = "<None>";

                }

                else 
                
                {
                    MessageBox.Show("Failure in updating resource");

                }
                Cursor.Current = Cursors.Default;
            }

            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                Cursor.Current = Cursors.Default;
            
            }
        
        }

        private void panelupdateResource_GotFocus(object sender, EventArgs e)
        {

        }

        private void updateResourceForm_Load(object sender, EventArgs e)
        {
            try
            {
                // Populating the Combo box with courses from the User_Courses table
                LearningWebService cd = new LearningWebService();
                string[] uc = cd.GetUserCourses();
                for (int i = 0; i < uc.Length; i++)
                {
                    comboBoxCoursesUpdate.Items.Add(uc[i]);

                }
                comboBoxCoursesUpdate.SelectedIndex = 6;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

    }
}