﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Debug="true" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>MSIS Administration Panel</title>
    <link rel="Stylesheet" type="text/css" href="style.css" media="screen" />
    <script type="text/javascript" language="javascript">
    <!--
        function clearText(textbox) {
            if (textbox.value == textbox.getAttribute('infotext')) {
                textbox.value = '';
            }
        }

        function resetText(textbox) {
            if (textbox.value == '') {
                textbox.value = textbox.getAttribute('infotext');
            } 
        }
    // -->
    </script>
</head>
<body>
    
<form id="form1" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
<asp:MultiView ID="multiView" runat="server" EnableViewState="true">
    <asp:View ID="loginView" runat="server">
        <div id="container" style="width:400px">
        <div id="main">
        <h1>MSIS Administration Panel: Login</h1>
        <h2>Please log in with your username and password below.</h2>
            
            <table>
                <tr>
                    <th style="width:100px">
                        Username:</th>
                    <td style="height:25px">
                        <asp:TextBox ID="txtUsername" runat="server" CssClass="txtInput2"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <th>
                        Password:</th>
                    <td style="height:25px">
                        <asp:TextBox ID="txtPassword" runat="server" CssClass="txtInput2" 
                            TextMode="Password"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <th style="height:10px"></th>
                    <td></td>
                </tr>
                <tr>
                    <td>
                        <asp:Button ID="btnLogin" runat="server" onclick="btnLogin_Click" 
                            Text="Log In" />
                    </td>
                    <td>
                        <asp:Label ID="lblLoginMessage" runat="server" CssClass="error-message" Text=""></asp:Label>
                    </td>
                </tr>
            </table>
            <br /><br />
            <h2>Click <asp:LinkButton ID="regUserButton" runat="server" onclick="regUserButton_Click">here</asp:LinkButton> to register a new user.</h2>
        </div>
        <p class="credits">Design &amp; Development: Sindre Paulsrud Moe</p>
        </div>
    </asp:View>
    
    <asp:View ID="mainView" runat="server" OnActivate="PopulateForm">
        <div id="container">
            <div id="main">
                <h1>User Profile</h1>
                    <p>
                        <asp:LinkButton ID="logout" runat="server" OnClientClick="return confirm('Do you really want to log out?');" onclick="btnLogOut_Click">Log Out</asp:LinkButton> |
                        <asp:LinkButton ID="editProfile" CssClass="selectedLink" runat="server">Edit User Profile</asp:LinkButton>
                    </p>
                    <h2>
                        Edit your profile below.
                    </h2>
        
                    <table>
                        <tr>
                            <th style="width:150px; height:25px;">Full name:</th>
                            <td>
                                <input id="userId" type="hidden" runat="server" />
                                <asp:TextBox ID="txtFullNameChange" runat="server" CssClass="txtInput"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <th style="height:25px">Username:</th>
                            <td><asp:TextBox ID="txtUsernameChange" runat="server" CssClass="txtInput"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <th style="height:25px">Email:</th>
                            <td><asp:TextBox ID="txtEmailChange" runat="server" CssClass="txtInput"></asp:TextBox></td>
                        </tr>
                        <tr>
                            <th style="height:10px"></th>
                            <td></td>
                        </tr>
                        <tr>
                            <th style="height:25px">Password:</th>
                            <td><asp:TextBox ID="txtPasswordChange" runat="server" TextMode="Password" CssClass="txtInput"></asp:TextBox> (leave empty for no change)</td>
                        </tr>
                        <tr>
                            <th style="height:25px">Confirm password:</th>
                            <td><asp:TextBox ID="txtPasswordChangeConfirmed" runat="server" TextMode="Password" CssClass="txtInput"></asp:TextBox> (leave empty for no change)</td>
                        </tr>
                        <tr>
                        <th style="height:30px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="2">The MSIS mobile client offers functionality that requires an username from the NTNU schedule system, currently available from <a href="http://ntnu.1024.no/">ntnu.1024.no</a>. This service provides the application with data for the timetable and the list of courses you have submitted that you are attending. Please provide your username below. <br />Eg.: nordman</td>
                    </tr>
                    <tr>
                        <th style="height:10px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Service username:</th>
                        <td><asp:TextBox ID="txtCalendarServiceUsername" runat="server" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:30px"></th>
                        <td></td>
                    </tr>
                        <tr>
                            <td><asp:Button ID="btnSave" runat="server" onclick="btnSave_Click" Text="Save profile" /></td>
                            <td><asp:Label ID="lblStatusMessage" runat="server" Text="" CssClass="error-message"></asp:Label></td>
                        </tr>
                    </table>
                </div>
            <p class="credits">Design &amp; Development: Sindre Paulsrud Moe</p>
       </div>
    </asp:View>
    
    <asp:View ID="regView" runat="server">
        <div id="container">
            <div id="main">
                <h1>Register new user</h1>
                <h2>Please complete the form to register a new user</h2>
                
                <table>
                    <tr>
                        <th style="height:25px; width:150px">Full name:</th>
                        <td><asp:TextBox ID="txtNewFullName" runat="server" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Username:</th>
                        <td><asp:TextBox ID="txtNewUsername" runat="server" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Email:</th>
                        <td><asp:TextBox ID="txtNewEmail" runat="server" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:10px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Password:</th>
                        <td><asp:TextBox ID="txtNewPassword" runat="server" TextMode="Password" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Confirm password:</th>
                        <td><asp:TextBox ID="txtNewConfirmPassword" runat="server" TextMode="Password" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:30px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="2">The MSIS mobile client offers functionality that requires an username from the NTNU schedule system, currently available from <a href="http://ntnu.1024.no/">ntnu.1024.no</a>. This service provides the application with data for the timetable and the list of courses you have submitted that you are attending. Please provide your username below. <br />Eg.: nordman</td>
                    </tr>
                    <tr>
                        <th style="height:10px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <th style="height:25px">Service username:</th>
                        <td><asp:TextBox ID="txtNewCalendarUname" runat="server" CssClass="txtInput"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <th style="height:30px"></th>
                        <td></td>
                    </tr>
                    <tr>
                        <td><asp:Button ID="btnNewRegisterUser" runat="server" 
                            Text="Register" onclick="btnNewRegisterUser_Click" /></td>
                        <td><asp:Label ID="lblNewUSerError" runat="server" CssClass="error-message" Text=""></asp:Label></td>
                    </tr>
                    
                </table>
                <br /><br /><asp:LinkButton ID="linkReturnToLogin" runat="server" 
                    onclick="linkReturnToLogin_Click">Return to login</asp:LinkButton>
            </div>
            <p class="credits">Design &amp; Development: Sindre Paulsrud Moe</p>
        </div>
    </asp:View>
</asp:MultiView>
</form>
</body>
</html>
