﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for Course
/// </summary>
public class Course
{
    private string description;
    private string code;
    private bool outsideStudyProgram = false;

    public Course()
    {
        
    }

    public Course(string code, string description)
    {
        this.code = code;
        this.description = description;
    }
    public string Description
    {
        get { return description; }
        set { description = value; }
    }

    public string Code
    {
        get { return code; }
        set { code = value; }
    }

    public bool OutsideStudyProgram
    {
        get { return outsideStudyProgram; }
        set { outsideStudyProgram = value; }
    }

    public override string ToString()
    {
        return code + " (" + description + ")";
    }

}
