﻿using System;
using System.IO;

/// <summary>
/// Summary description for Logger
/// </summary>
public static class Logger
{
    const bool LOG_ENABLED = false;
    static string logFile = @"c:\Inetpub\wwwroot\webservices\log.txt";

    public static void WriteLog(string line, bool appendDate)
    {
        if (LOG_ENABLED)
        {
            TextWriter tw = new StreamWriter(logFile, true);
            tw.WriteLine((appendDate) ? DateTime.Now.ToString("s") + ":" + line : line);
            tw.Close();
        }
    }
    public static void WriteLog(string line)
    {
        if (LOG_ENABLED)
        {
            TextWriter tw = new StreamWriter(logFile, true);
            tw.WriteLine(line);
            tw.Close();
        }
    }
    public static void ClearLog()
    {
        if (LOG_ENABLED)
        {
            TextWriter tw = new StreamWriter(logFile, false);
            tw.Write("");
            tw.Close();
        }
    }
}
