﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OleDb;

public partial class xlsimport : System.Web.UI.Page
{

    protected void Page_Load(object sender, EventArgs e)
    {
        
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        if (radioProgramCodes.Checked)
        {
            string xlsConnString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\Inetpub\wwwroot\webservices\App_Data\v09_akt_studieprogram.xls;Extended Properties=""Excel 8.0;HDR=YES;""";
            using (OleDbConnection conn = new OleDbConnection(xlsConnString))
            {
                using (OleDbCommand cmd = conn.CreateCommand())
                {
                    cmd.CommandText = "SELECT distinct studieprogramkode FROM [Programkoder$]";

                    conn.Open();

                    using (OleDbDataReader dr = cmd.ExecuteReader())
                    {
                        int counter = 0;
                        SQLConn.Open();
                        SQLConn.ExecuteCommand("TRUNCATE TABLE Program_Codes").ExecuteNonQuery();
                        while (dr.Read())
                        {
                            System.Data.SqlClient.SqlCommand insertCmd = SQLConn.ExecuteCommand("INSERT INTO Program_Codes(code) VALUES('" + dr[0].ToString() + "')");
                            counter += insertCmd.ExecuteNonQuery();
                        }
                        lblStatus.Text = "Imported " + counter + " rows.";
                        SQLConn.Close();
                        dr.Close();
                    }

                }
                conn.Close();
            }
        }
        else if (radioCourses.Checked)
        {
            string xlsConnString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\Inetpub\wwwroot\webservices\App_Data\v09_fs_emne.xls;Extended Properties=""Excel 8.0;HDR=YES;""";
            using (OleDbConnection conn = new OleDbConnection(xlsConnString))
            {
                using (OleDbCommand cmd = conn.CreateCommand())
                {
                    cmd.CommandText = "SELECT emnekode, emnenavn FROM [Courses$]";

                    conn.Open();

                    using (OleDbDataReader dr = cmd.ExecuteReader())
                    {
                        int counter = 0;
                        SQLConn.Open();
                        SQLConn.ExecuteCommand("TRUNCATE TABLE Courses").ExecuteNonQuery();
                        while (dr.Read())
                        {
                            string code = dr["emnekode"].ToString();
                            string desc = dr["emnenavn"].ToString();

                            System.Data.SqlClient.SqlCommand insertCmd = SQLConn.ExecuteCommand("INSERT INTO Courses(code, description) VALUES(@code,@desc)");
                            insertCmd.Parameters.AddWithValue("code", code);
                            insertCmd.Parameters.AddWithValue("desc", desc);

                            counter += insertCmd.ExecuteNonQuery();

                        }
                        lblStatus.Text = "Imported " + counter + " rows.";
                        SQLConn.Close();
                        dr.Close();
                    }

                }
                conn.Close();
            }
        }
        else if (radioTimetable.Checked)
        {
            string xlsConnString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=c:\Inetpub\wwwroot\webservices\App_Data\v09_timeplan.xls;Extended Properties=""Excel 8.0;HDR=YES;""";
            using (OleDbConnection conn = new OleDbConnection(xlsConnString))
            {
                using (OleDbCommand cmd = conn.CreateCommand())
                {
                    cmd.CommandText = "SELECT studentset, larer, emnekode, typekode, dag, start, slutt, uke, romnavn FROM [Timetable$]";

                    conn.Open();

                    using (OleDbDataReader dr = cmd.ExecuteReader())
                    {
                        int counter = 0;
                        SQLConn.Open();
                        SQLConn.ExecuteCommand("TRUNCATE TABLE Timetable").ExecuteNonQuery();
                        while (dr.Read())
                        {
                            string type = dr["typekode"].ToString().Trim();
                            if (type == "FOR") { type = "Lecture"; }
                            else if (type == "ØV") { type = "Exercise"; }
                            else if (type == "F/Ø") { type = "Lecture/Exercise"; }
                            else
                            {
                                type = "Other";
                            }

                            System.Data.SqlClient.SqlCommand insertCmd = SQLConn.ExecuteCommand("INSERT INTO Timetable(course_code,type,day,start_time,end_time,weeks,room,teacher,study_programs) "
                                                                  + "VALUES(@courseCode,@type,@day,@start,@end,@weeks,@room,@teacher,@study_programs)");

                            insertCmd.Parameters.AddWithValue("courseCode", dr["emnekode"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("type", type);
                            insertCmd.Parameters.AddWithValue("day", dr["dag"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("start", dr["start"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("end", dr["slutt"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("weeks", dr["uke"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("room", dr["romnavn"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("teacher", dr["larer"].ToString().Trim());
                            insertCmd.Parameters.AddWithValue("study_programs", dr["studentset"].ToString().Trim());


                            counter += insertCmd.ExecuteNonQuery();

                        }
                        lblStatus.Text = "Imported " + counter + " rows.";
                        SQLConn.Close();
                        dr.Close();
                    }

                }
                conn.Close();
            }
        }
    }
}
